//////////////////////////////////////////////////////////////////////
//                                                                  //
// StarCraft For CEDEC                                              //
//                                                                  //
// Copyright (c) 2004-2011 Daisuke Shikata                          //
//                                                                  //
//////////////////////////////////////////////////////////////////////

#include "KifuState.h"

KifuState::KifuState( int count )
{
	posVector_ = new std::vector< IgoPosition >(count);
}

KifuState::~KifuState()
{
	delete posVector_;
}

void KifuState::set( STONE_COLOR color, int x, int y )
{
	posVector_->push_back( IgoPosition( color,x,y ) );
}

IgoPosition& KifuState::get( int index )
{
	return posVector_->begin()[index];
}