//////////////////////////////////////////////////////////////////////
//                                                                  //
// StarCraft For CEDEC                                              //
//                                                                  //
// Copyright (c) 2004-2011 Daisuke Shikata                          //
//                                                                  //
//////////////////////////////////////////////////////////////////////
#pragma once
#include "PatternBase.h"
#include "PatternPrimitive.h"

#include "../IgoTypes.h"

namespace pattern
{
class PatternIkken : public PatternBase
{
public:
	virtual void setup()
	{
		pushBack(  PatternPrimitive( STONE_BLACK, 0, 0 ) );
		pushBack(  PatternPrimitive( STONE_NONE,  1, 0 ) );
		pushBack(  PatternPrimitive( STONE_NONE,  2, 0 ) );
		pushBack(  PatternPrimitive( STONE_NONE,  3, 0 ) );
		pushBack(  PatternPrimitive( STONE_NONE,  1, 1 ) );
		pushBack(  PatternPrimitive( STONE_NONE,  2, 1 ) );
		pushBack(  PatternPrimitive( STONE_NONE,  3, 1 ) );
		pushBack(  PatternPrimitive( STONE_NONE,  1, -1 ) );
		pushBack(  PatternPrimitive( STONE_NONE,  2, -1 ) );
		pushBack(  PatternPrimitive( STONE_NONE,  3, -1 ) );

		setAnswer( PatternPrimitive( STONE_BLACK, 2, 0 ) );
		// 三線より上
		setLowLine( 2 );
	}
private:
};

}